Dropping Support for Internet Explorer 8

Internet Explorer 8

Support dropped for Internet Explorer 8


PeopleSafe strives to provide always-accessible safety software. For us to continue to extend the revolutionary features of the PeopleSafe application, our design and development teams need to make use of capabilities available in modern browsers.

A small and declining percentage of PeopleSafe users still use Internet Explorer 8 (IE8), but any adaptations we make for it create a poorer overall experience for everyone. With this in mind we have dropped support for IE8. We will of course continue to support the latest versions of Chrome, Firefox, Internet Explorer 9 or higher, Safari and other modern browsers. 

If you continue to use IE8 after this date you may experience degraded performance or some PeopleSafe features may not be available at all.

If you have any queries or require assistance with your preparation for this change, please contact help@peoplesafe.co.nz

Feedback and Knowledge Base